<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!--

    Legato is a configurable, lightweight web mapping client that can be
    easily embedded into web pages and portals, CMS and individual web
    applications. Legato is implemented in JavaScript and based on the
    popular open source library OpenLayers.

    Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

-->

<lb:beans xmlns:l="http://www.disy.net/legato" xmlns:lb="http://www.disy.net/legato/beans"
  xmlns:lf="http://www.disy.net/legato/format" xmlns:lc="http://www.disy.net/legato/control"
  xmlns:llp="http://www.disy.net/legato/legend/plugin" xmlns:llpr="http://www.disy.net/legato/layer/predicate"
  xmlns:ol="http://www.openlayers.org" xmlns:olc="http://www.openlayers.org/control"
  xmlns:oll="http://www.openlayers.org/layer">
  <ol:Map lb:name="map" id="map">
    <fractionalZoom>true</fractionalZoom>
    <controls>
      <olc:Navigation />
      <lc:ArgParser />
      <olc:Attribution />
      <lb:Reference target="PanZoomBar" />
      <olc:MousePosition numDigits="2" />
      <olc:Scale />
      <olc:ScaleLine div="scale" maxWidth="200" eTop="scaleValue"
        eBottom="dummyBottom" />
      <lc:SyncMapDivSize div="legendContainer"
        syncHeight="true" />
      <lb:Reference target="NavigationHistory" />
      <lc:Legend div="legend" showBaseLayers="false">
        <plugins>
          <llp:LayerVisibility />
          <llp:LayerPositionUp />
          <llp:LayerPositionDown />
          <llp:LayerRemove />
          <llp:LayerDropDownMenu>
            <plugins>
              <llp:LayerLink url="http://www.google.com">
                <supports>
                  <llpr:LayerWithAttribute name="link"
                    value="true" />
                </supports>
              </llp:LayerLink>
              <llp:LayerZoomToVisibleScale
                title="Auf sichtbaren Maßstabsbereich zoomen" />
            </plugins>
          </llp:LayerDropDownMenu>
          <llp:LayerName />
          <llp:LayerDescription />
        </plugins>
      </lc:Legend>
      <lb:Reference target="Panel" />
      <lc:SetMapSize div="setMapSize" maintainExtent="true">
        <mapSizes>
          <mapSize lb:name="Small">
            <ol:Size w="300" h="300" />
          </mapSize>
          <mapSize lb:name="Medium">
            <ol:Size w="500" h="500" />
          </mapSize>
          <mapSize lb:name="Big">
            <ol:Size w="700" h="700" />
          </mapSize>
        </mapSizes>
      </lc:SetMapSize>
      <lc:ScaleInput div="scaleInput" />
    </controls>
    <projection>
      <ol:Projection projCode="EPSG:31468" />
    </projection>
  </ol:Map>
  <l:OverviewMap lb:name="overviewMap" id="overviewMap">
    <controls>
      <lc:OverviewBoundingBox>
        <parentMap>
          <lb:Reference target="map" />
        </parentMap>
      </lc:OverviewBoundingBox>
    </controls>
    <projection>
      <ol:Projection projCode="EPSG:31468" />
    </projection>
  </l:OverviewMap>
  <lc:LayerSelection>
    <map>
      <lb:Reference target="map" />
    </map>
  </lc:LayerSelection>
  <lc:PanZoomBar zoomWorldIcon="true" />
  <lc:NavigationHistory />
  <olc:Navigation />
  <olc:ZoomBox displayClass="olControlZoomInBox" out="false"
    lb:name="ZoomInBox" />
  <olc:ZoomBox displayClass="olControlZoomOutBox" out="true"
    lb:name="ZoomOutBox" />
  <olc:Panel div="panel">
    <defaultControl>
      <lb:Reference target="ZoomInBox" />
    </defaultControl>
    <controls>
      <lb:Reference target="Navigation" />
      <lc:ToggleDisplay>
        <control>
          <lb:Reference target="PanZoomBar" />
        </control>
      </lc:ToggleDisplay>
      <lb:Reference target="ZoomInBox" />
      <lb:Reference target="ZoomOutBox" />
      <olc:ZoomToMaxExtent title="FOO" />
      <lc:NavigationHistoryPrevious>
        <history>
          <lb:Reference target="NavigationHistory" />
        </history>
      </lc:NavigationHistoryPrevious>
      <lc:NavigationHistoryNext>
        <history>
          <lb:Reference target="NavigationHistory" />
        </history>
      </lc:NavigationHistoryNext>
      <lc:MeasureLine persist="true" div="measure" />
      <lc:MeasurePolygon persist="true" div="measure" />
      <lc:SelectLonLat>
        <callback>
          <lb:Reference target="selectGeometry" />
        </callback>
      </lc:SelectLonLat>
      <lc:SelectBounds>
        <callback>
          <lb:Reference target="selectGeometry" />
        </callback>
      </lc:SelectBounds>
      <lc:ToggleDiv div="overviewMap" displayClass="LegatoControlToggleOverviewMap" />
    </controls>
  </olc:Panel>
  <lf:ExtendedWMCLoader url="context.xml"
    createDefaultBaseLayer="true" zoomToBoundingBox="true"
    resizeToWindow="true">
    <map>
      <lb:Reference target="map" />
    </map>
    <defaultOptions>
      <transparent>true</transparent>
      <isBaseLayer>false</isBaseLayer>
      <singleTile>true</singleTile>
    </defaultOptions>
  </lf:ExtendedWMCLoader>
  <lf:ExtendedWMCLoader lb:name="ExtendedWMCLoader-Overview"
    url="context-overview.xml" createDefaultBaseLayer="false"
    zoomToBoundingBox="true" resizeToWindow="true">
    <map>
      <lb:Reference target="overviewMap" />
    </map>
    <defaultOptions>
      <ratio>1</ratio>
      <transparent>true</transparent>
      <isBaseLayer>true</isBaseLayer>
      <singleTile>true</singleTile>
    </defaultOptions>
  </lf:ExtendedWMCLoader>
</lb:beans>